@{   
    SidraCore = @{
        ApiUrl = "POPULATE-THIS. An example: https://abcd-core-dev-api-capp.twowords-xxxxxxxx.westeurope.azurecontainerapps.io"
        AuthenticationUrl = "POPULATE-THIS. An example: https://abcd-dev-authentication-capp.twowords-xxxxxxxx.westeurope.azurecontainerapps.io"
        OAuthClientID = "POPULATE-THIS. An option: Key Vault > the 'ClientSettings--coreClient--ClientId' Secret value (likely a GUID)."
        OAuthSecret = "POPULATE-THIS. An option: Key Vault > the 'ClientSettings--coreClient--ClientSecret' Secret value (likely a GUID)."
    }
    Metadata = @{
        Provider = @{
            Name = "POPULATE-THIS"
            Owner = "POPULATE-THIS. Usually, an e-mail address, like 'Viorel.Alexandru@Sidra.dev'."
            Description = "POPULATE-THIS-OPTIONALLY. Example: 'Provider for testing CSV file ingestion; data from the Bike-Store SQL Server sample DB.'"
        }
        Entity = @{
            Name = "POPULATE-THIS: Example: 'Bikes-CSV'"
            RowDelimiter = "POPULATE-THIS-OPTIONALLY. You may leave the value to $null; it should work fine in most scenarios."
            FieldDelimiter = "POPULATE-THIS. Examples: '\u0009'=TAB '\u002C'=COMMA(,) \u003B=SEMICOLON(;) \u007C=PIPE(|) \u0026=AMPERSAND(&) \u005E=CARRET(^)"
            RegularExpression = "POPULATE-THIS. Example: ^Bike-Store.Bikes_((?<year>\d{4})-(?<month>\d{2})-(?<day>\d{2}))_((?<hour>\d{2})-(?<minute>\d{2})-(?<second>\d{2})).csv"
            HeaderLinesCount = 1
            StartValidDate = "2020-12-23T13:17:02.881Z"
            Description = "POPULATE-THIS-OPTIONALLY. Example: 'Data from 'Bike-Store.Bikes_YYYY-MM-DD_hh-mm-ss.csv' files.'"
        }
        Attributes = @(
            @{
                ColumnName = "Product_ID"
                HiveType = "INT"
                SqlType = "INT"
                IsPrimaryKey = $true
            },
            @{
                ColumnName = "Product_Name"
                HiveType = "STRING"
                SqlType = "NVARCHAR(128)"
                IsPrimaryKey = $false
            },
            @{
                ColumnName = "Brand_Name"
                HiveType = "STRING"
                SqlType = "NVARCHAR(32)"
                IsPrimaryKey = $false
            },
            @{
                ColumnName = "Category_Name"
                HiveType = "STRING"
                SqlType = "NVARCHAR(64)"
                IsPrimaryKey = $false
            },
            @{
                ColumnName = "Model_Year"
                HiveType = "INT"
                SqlType = "SMALLINT"
                IsPrimaryKey = $false
            },
            @{
                ColumnName = "List_Price"
                HiveType = "DECIMAL(10,2)"
                SqlType = "DECIMAL(10,2)"
                IsPrimaryKey = $false
            }
        )
    }
}